org.apache.lucene.collation

## Class ICUCollationDocValuesField

- java.lang.Object
- - org.apache.lucene.document.Field
  - - org.apache.lucene.collation.ICUCollationDocValuesField

All Implemented Interfaces:
  IndexableField

    public final class ICUCollationDocValuesField
    extends Field

Indexes collation keys as a single-valued `SortedDocValuesField`.

This is more efficient that `ICUCollationKeyAnalyzer` if the field only has one value: no uninversion is necessary to sort on the field, locale-sensitive range queries can still work via `FieldCacheRangeFilter`, and the underlying data structures built at index-time are likely more efficient and use less memory than FieldCache.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.document.Field

`Field.Index, Field.Store, Field.TermVector`

### Field Summary

### Fields inherited from class org.apache.lucene.document.Field

`boost, fieldsData, tokenStream, type`

### Constructor Summary

Constructors
Constructor and Description
`ICUCollationDocValuesField(String name, com.ibm.icu.text.Collator collator)` Create a new ICUCollationDocValuesField.

### Method Summary

Methods
`String` `name()`
`void` `setStringValue(String value)`

### Methods inherited from class org.apache.lucene.document.Field

`binaryValue, boost, fieldType, numericValue, readerValue, setBoost, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, toString, translateFieldType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ICUCollationDocValuesField

    public ICUCollationDocValuesField(String name,
                              com.ibm.icu.text.Collator collator)

Create a new ICUCollationDocValuesField.

NOTE: you should not create a new one for each document, instead just make one and reuse it during your indexing process, setting the value via `setStringValue(String)`.

Parameters:
  `name` - field name
  `collator` - Collator for generating collation keys.

### Method Detail

#### name

    public String name()

Specified by:
  `name` in interface `IndexableField`
Overrides:
  `name` in class `Field`

#### setStringValue

    public void setStringValue(String value)

Overrides:
  `setStringValue` in class `Field`